Subject: Re: bug#14729: 24.3.50; Isearch oddity

From: Juri Linkov <[email-masked]>
Date: Tue, 07 Dec 2021 23:53:30 +0200

>> The matched string is highlighted partly in the buffer,
>> and exactly the same parts are highlighted in the isearch prompt too -
>> the string "buf" is highlighted as the matched string in the buffer,
>> and the same string "buf" has no failure indication in the isearch prompt.
>> So currently there is consistency between these highlightings:
>
> But before we type "fer", "buf" is highlit as failing, but after "fer"
> is highlit as failing (in the echo area), while the highlighting in the
> buffer doesn't change.  😀

This is why the subject is "Search oddity": it's working in a most
peculiar way, and the circuit's dead, and there's something wrong 😁